For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsite
GuidesAPI Reference
GuidesAPI Reference
  • Calls
    • POSTMake a Call
    • GETGet Call History
    • GETExport Call History
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • POSTPause Campaign
    • POSTResume Campaign
    • POSTCancel Campaign
  • Agents
    • GETList Agents
    • POSTCreate Agent
    • GETGet Agent
    • DELDelete Agent
    • PATCHUpdate Agent
    • GETGet Agent Prompt
    • PUTSave Agent Instructions
  • Voices
    • GETList Voices
    • GETList Voice Languages
  • Prompt Versions
    • GETList Prompt Versions
    • POSTSave Prompt Version
    • GETPrompt Version Status
    • POSTRestore Prompt Version
    • DELDelete Prompt Version
  • Configuration
    • GETList Industries
LogoLogo
DashboardWebsite
Calls

Make a Call

POST
https://api.levrage.ai/v1/call
POST
/v1/call
1import requests
2
3url = "https://api.levrage.ai/v1/call"
4
5payload = {
6 "agent_id": "550e8400-e29b-41d4-a716-446655440000",
7 "source_number": "+919240018601",
8 "phone_number": "+919876543210",
9 "metadata": {
10 "customer_name": "Rahul Sharma",
11 "order_id": "ORD-12345"
12 }
13}
14headers = {
15 "Authorization": "Bearer <token>",
16 "Content-Type": "application/json"
17}
18
19response = requests.post(url, json=payload, headers=headers)
20
21print(response.json())
1{
2 "data": {
3 "id": "a3f1c9e2-7b4d-4f8a-9c2e-1d2f3b4a5c6d",
4 "status": "initializing",
5 "phone_number": "+919876543210",
6 "agent": {
7 "id": "550e8400-e29b-41d4-a716-446655440000",
8 "name": "Acme Sales Agent"
9 },
10 "user_id": "user_a1b2c3d4",
11 "created_at": "2026-01-15T09:30:00+05:30",
12 "metadata": {
13 "customer_name": "Rahul Sharma",
14 "order_id": "ORD-12345"
15 }
16 },
17 "request_id": "req_a1b2c3d4e5f6",
18 "timestamp": "2026-01-15T09:30:00+05:30",
19 "success": true
20}
Initiate an outbound call to the specified phone number. The call will use the specified voice agent and any metadata provided will be available to the agent during the conversation.
Was this page helpful?
Next

Get Call History

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
agent_idstringRequired
Voice agent UUID
source_numberstringRequired

Source phone number to call from (+91…)

phone_numberstringRequired

Phone to call (+91…)

metadataobject or nullOptional
Custom data for agent

Response

Successful Response
dataobject
Call data inside response envelope.
request_idstring
timestampdatetime
successbooleanDefaults to true

Errors

422
Unprocessable Entity Error